using System.Text;
using System.Text.Json.Serialization;

namespace XPrintServer.Api.Dto
{

    public enum OperationType
    {
        Add,
        Delete
    }

    public class OssOperation
    {
        [JsonPropertyName("type")]
        public OperationType Type { get; set; }

        [JsonPropertyName("passwordKey")]
        public string PasswordKey { get; set; } = null!;

        [JsonPropertyName("objectName")]
        public string ObjectName { get; set; } = null!;
    }
}
